Bug 127649 - gtk2 looking for missing /etc/gtk-2.0/gtk.immodules
Summary: gtk2 looking for missing /etc/gtk-2.0/gtk.immodules
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: IIIMF
TreeView+ depends on / blocked
 
Reported: 2004-07-12 07:15 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-06 10:38:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2004-07-12 07:15:21 UTC
Description of problem:
gtk.immodules was recently moved to
"/etc/gtk-2.0/<arch>-redhat-linux-gnu", however gtk2 still
seems to look only at "/etc/gtk-2.0/gtk.immodules".

Version-Release number of selected component (if applicable):
gtk2-2.4.1-3

How reproducible:
every time

Steps to Reproduce:
1. % gedit
2. Press Button 3 and look in Input Method submenu
  
Actual results:
Only "Default" appears in submenu.

Expected results:
All Input Methods in gtk.immodules to appear in submenu.

Additional info:
Adding a symlink /etc/gtk-2.0/gtk.immodules -> 
<arch>-redhat-linux-gnu/gtk.immodules works around the problem.

Presumably this is fixed in 2.4.4, or earlier?

Comment 1 Jens Petersen 2004-07-13 06:48:25 UTC
AKAICT this is fixed in gtk2-2.4.4.
Changing to Modified until re-confirmed in fresh install.


Note You need to log in before you can comment on or make changes to this bug.